## org.plovr
Class ConfigPath

    java.lang.Object
      org.plovr.ConfigPath

    public class ConfigPath

extends Object

A represents an argument associated with the `paths` option in a plovr config. It contains both the `File` specified by the argument in the config file as well as the original argument text.

These objects are used together to:

1. Find any input files that are descendants of the `paths` argument when the argument specifies a directory.
2. Name the resulting `LocalFileJsInput` such that the name contains the argument name and the path relative to the directory, but not the full path to the `LocalFileJsInput`. Full paths may be harder to read when displayed in URLs, and could leak information.

Author:
  bolinfest@gmail.com (Michael Bolin)

Constructor Summary
`ConfigPath(File file, String name)`

Method Summary
`File` `getFile()`
`String` `getName()` If and only if `getFile()` returns a directory, then this method will return a string with a trailing slash.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigPath

    public ConfigPath(File file,
                      String name)

Method Detail

### getFile

    public File getFile()

### getName

    public String getName()

  If and only if `getFile()` returns a directory, then this method will return a string with a trailing slash.